Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.response
Class BusinessInfo

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.response.BusinessInfo

All Implemented Interfaces:
  java.io.Serializable

public class BusinessInfo
extends UDDIElement

Represents the businessInfo element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

This element is used as a short form of the BusinessEntity element. It is used as a first pass result set for "find businesses" queries.

Author:
  David Melgar (dmelgar@us.ibm.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`BusinessInfo()` Default constructor.
`BusinessInfo(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`BusinessInfo(java.lang.String businessKey, java.lang.String name, ServiceInfos serviceInfos)` Construct the object with required fields.

Method Summary
`java.lang.String` | `getBusinessKey()`
`java.lang.String` | `getDefaultDescriptionString()` Get default description string
`Name` | `getDefaultName()` Get default name
`java.lang.String` | `getDefaultNameString()` Get default name string
`java.util.Vector` | `getDescriptionVector()` Get description
`Name` | `getName()` Deprecated. This method has been deprecated. Use `()` or `()` instead.
`java.lang.String` | `getNameString()` Deprecated. This method has been deprecated. Use `()` or `()` instead.
`java.util.Vector` | `getNameVector()` Get all Names.
`ServiceInfos` | `getServiceInfos()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setBusinessKey(java.lang.String s)`
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default (english) description string
`void` | `setDefaultName(Name name)` This method stores this name as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDefaultNameString(java.lang.String value, java.lang.String lang)` This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector
`void` | `setName(Name s)` Deprecated. This method has been deprecated. Use `setNameVector( Vector )` or `setDefaultName( Name )` instead
`void` | `setName(java.lang.String s)` Deprecated. This method has been deprecated. Use `setNameVector( Vector )` or `setDefaultNameString(String, String)` instead.
`void` | `setNameVector(java.util.Vector s)`
`void` | `setServiceInfos(ServiceInfos s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### BusinessInfo

    public BusinessInfo()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### BusinessInfo

    public BusinessInfo(java.lang.String businessKey,
                        java.lang.String name,
                        ServiceInfos serviceInfos)

  Construct the object with required fields.

Parameters:
  `businessKey` - String
  `name` - String

### BusinessInfo

    public BusinessInfo(org.w3c.dom.Element base)
                 throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setBusinessKey

    public void setBusinessKey(java.lang.String s)

### setName

    public void setName(Name s)

  Deprecated. This method has been deprecated. Use `setNameVector( Vector )` or `setDefaultName( Name )` instead

### setName

    public void setName(java.lang.String s)

  Deprecated. This method has been deprecated. Use `setNameVector( Vector )` or `setDefaultNameString(String, String)` instead.

### setDefaultName

    public void setDefaultName(Name name)

  This method stores this name as the Default Name (i.e., places it in the first location in the Vector).

### setDefaultNameString

    public void setDefaultNameString(java.lang.String value,
                                     java.lang.String lang)

  This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).

### setNameVector

    public void setNameVector(java.util.Vector s)

  Parameters:
    `s` - Vector of Name objects

### setServiceInfos

    public void setServiceInfos(ServiceInfos s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default (english) description string

  Parameters:
    `s` - String

### getBusinessKey

    public java.lang.String getBusinessKey()

### getName

    public Name getName()

  Deprecated. This method has been deprecated. Use `()` or `()` instead.

### getNameString

    public java.lang.String getNameString()

  Deprecated. This method has been deprecated. Use `()` or `()` instead.

### getDefaultName

    public Name getDefaultName()

  Get default name

  Returns:
    Name

### getDefaultNameString

    public java.lang.String getDefaultNameString()

  Get default name string

  Returns:
    String

### getNameVector

    public java.util.Vector getNameVector()

  Get all Names.

  Returns:
    Vector of Name objects.

### getServiceInfos

    public ServiceInfos getServiceInfos()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string

  Returns:
    s String

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.